Create Session

Create a remote browser session.

POST
/v1/sessions
X-API-Key<token>

The account key.

In: header

Query Parameters

wait?Wait

true: answer once the session is ready or has failed (about 6 s). false: answer 202 at once with state starting; poll GET /v1/sessions/{id} until it is ready, or failed with the reason in error.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sessions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "state": "string",
  "engine": "string",
  "country": "string",
  "exit_ip": "string",
  "exit_warning": "string",
  "error": "string",
  "ended_reason": "string",
  "created_at": 0,
  "expires_at": 0,
  "failed_at": 0,
  "idle_timeout_seconds": 0,
  "clients": 0,
  "live": true,
  "live_viewers": 0,
  "cdp_traffic": {
    "to_browser": 0,
    "from_browser": 0
  },
  "pages": 0,
  "soft_navigations": 0,
  "blocking": [
    "string"
  ],
  "memory": {
    "percent": 0,
    "high_water_pct": 0,
    "tabs_closed": [
      null
    ]
  },
  "warm_cookies": 0,
  "profile": "string",
  "profile_loaded": true,
  "profile_saved": true,
  "profile_note": "string",
  "record": true,
  "recording": {
    "active": true,
    "seconds": 0,
    "frames": 0,
    "bytes": 0,
    "error": "string"
  },
  "recording_url": "string",
  "recording_saved": true,
  "extensions": {
    "property1": "string",
    "property2": "string"
  },
  "webgl": "string",
  "connect_url": "string",
  "ws_url": "string",
  "live_url": "string",
  "live_view_url": "string",
  "seconds_left": 0,
  "proxy_bytes": 0
}
{
  "id": "string",
  "state": "string",
  "engine": "string",
  "country": "string",
  "exit_ip": "string",
  "exit_warning": "string",
  "error": "string",
  "ended_reason": "string",
  "created_at": 0,
  "expires_at": 0,
  "failed_at": 0,
  "idle_timeout_seconds": 0,
  "clients": 0,
  "live": true,
  "live_viewers": 0,
  "cdp_traffic": {
    "to_browser": 0,
    "from_browser": 0
  },
  "pages": 0,
  "soft_navigations": 0,
  "blocking": [
    "string"
  ],
  "memory": {
    "percent": 0,
    "high_water_pct": 0,
    "tabs_closed": [
      null
    ]
  },
  "warm_cookies": 0,
  "profile": "string",
  "profile_loaded": true,
  "profile_saved": true,
  "profile_note": "string",
  "record": true,
  "recording": {
    "active": true,
    "seconds": 0,
    "frames": 0,
    "bytes": 0,
    "error": "string"
  },
  "recording_url": "string",
  "recording_saved": true,
  "extensions": {
    "property1": "string",
    "property2": "string"
  },
  "webgl": "string",
  "connect_url": "string",
  "ws_url": "string",
  "live_url": "string",
  "live_view_url": "string",
  "seconds_left": 0,
  "proxy_bytes": 0
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}

Was this page helpful?